# 32/64bit spec-file
#
Name: oxygen-gtk3
Summary: A port of the default KDE widget theme (Oxygen) to gtk3
Version: 1.4.1
Release: %mkrel 2
Source0: %{name}-%{version}.tar.xz
Source1: oxygen-icons-symbolic.tar.xz
URL: https://projects.kde.org/projects/playground/artwork/oxygen-gtk
Patch0: oxygen-gtk3-1.4.0-disable-GtkComboBox-appears-as-list.patch
Patch1: oxygen-gtk3-1.4.1-use-Adwaita-as-fallback-icon-theme.patch
Patch2:         oxygen-gtk3-1.4-update-spinner-code-copied-from-Adwaita-to-have-work.patch
Group: Graphical desktop/KDE4
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
License: LGPLv2+
#-----------------------------------
BuildRequires: %{_lib}atk1.0-devel
BuildRequires: %{_lib}cairo-devel
BuildRequires: %{_lib}gdk_pixbuf2.0_0-devel
BuildRequires: %{_lib}glib2.0-devel
BuildRequires: %{_lib}gtk+3.0-devel
BuildRequires: %{_lib}pango1.0-devel
BuildRequires: %{_lib}x11-devel
#-----------------------------------
BuildRequires: cmake
Conflicts: 	gtk-oxygen-molecule
Obsoletes:	gtk-oxygen-engine
Obsoletes:  	%name < %version

%description
Oxygen-Gtk3 is a port of the default KDE widget theme (Oxygen), to gtk3.

It's primary goal is to ensure visual consistency between gtk and qt-based
applications running under kde. A secondary objective is to also have a
stand-alone nice looking gtk theme that would behave well on other Desktop
Environments.

%prep
%setup -q -n %{name}-%{version}
%apply_patches

%build
%cmake -DOXYGEN_FORCE_KDE_ICONS_AND_FONTS=0
%make

%install
rm -rf %{buildroot}
%makeinstall_std -C build

# arrows oxygen symbolic icons for gtk+-3.14
mkdir -p %{buildroot}%{_iconsdir}/oxygen/scalable/actions
tar xJf %{SOURCE1} -C %{buildroot}%{_iconsdir}


%files
%defattr(-,root,root)
%{_bindir}/oxygen-gtk3-demo
%{_datadir}/themes/oxygen-gtk
%{_libdir}/gtk-3.0/3.0.0/theming-engines/liboxygen-gtk.so
%{_datadir}/icons/oxygen/scalable/actions/

%changelog
* Wed Jul 15 2015 bb <bb> 1.4.1-2pclos2015
- update

* Wed Nov 04 2014 bb <bb> 1.4.1-1pclos2014
 -update
 
* Tue Apr 22 2014 ghostbunny <hmhaase at gmx dot de> 1.3.5-1pclos2014
- upgrade to the version for gtk3 > 3.9
- drop patch it was applied upstream

* Sat Jan 25 2014 ghostbunny <hmhaase at pclinuxosusers dot de> 1.2.2-1pclos2014
- 1.2.2
